using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LNodeRange : LNode
{
    LNode parent;
    LNode val;
    LNode range;

    public LNodeRange(LNode val, LNode range, LNode parent)
    {
        this.val = val;
        this.range = range;
        this.parent = parent;

    }
    public override float getOutput()
    {
        float diff =  Mathf.Clamp01(( val.getOutput() - parent.getOutput() ) +0.5f);


        return diff; // * val.getOutput();
    }

    internal void setVal(LNode node)
    {
        val = node;
    }
}
